#
# spec file for package usnic_tools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define special_version -gite892b15

Name:           usnic_tools
Summary:        Extract some diagnostics and informational meta data out of Cisco usNIC devices
License:        BSD-3-Clause
Group:          Productivity/Networking/System
Version:        1.1.1.0
Release:        1.1
Source0:        usnic-tools-%{version}%{special_version}.tar.xz
Url:            http://www.cisco.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  x86_64
BuildRequires:  libfabric-devel

%description
  This is a simple tool for extracting some diagnostics and informational
meta data out of Cisco usNIC devices using the Cisco usNIC extensions
in libfabric.

The usnic_devinfo executable will return information about your usNIC
Linux devices.

%prep
%setup -q -n usnic-tools-%{version}

%build
%configure
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-, root, root)
%doc ChangeLog
%{_bindir}/usnic_devinfo

%changelog
* Wed May 25 2016 pth@suse.de
- Make package x86_64 exclusive as libfabric is only available
  there.
* Tue May 24 2016 pth@suse.de
- Update to 1.1.1.0 from git (fate#320711).
  This version uses libfabric.
- Generate ChangeLog from git log and include it in the package.
* Tue Aug 19 2014 pth@suse.de
  * Fixed incorrect enic and usnic_verbs versions in usnic_verbs_check
  * Fixed usnic_tools build breakage due to LICENSE filewas moved to a
    different location
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Tue May 27 2014 pth@suse.de
- Initial package (fate#317289)
- Fix packaging
- USNIC is Intel/AMD only so set ExclusiveArch
- Remove noarch as it clashes with with ExclArch
